package opcodes

// Server communication opcodes from servertalk.h
const (
	// Core server operations
	ServerOP_KeepAlive           = 0x0001
	ServerOP_ChannelMessage      = 0x0002
	ServerOP_SetZone             = 0x0003
	ServerOP_ShutdownAll         = 0x0004
	ServerOP_ZoneShutdown        = 0x0005
	ServerOP_ZoneBootup          = 0x0006
	ServerOP_ZoneStatus          = 0x0007
	ServerOP_SetConnectInfo      = 0x0008
	ServerOP_EmoteMessage        = 0x0009
	ServerOP_ClientList          = 0x000A
	ServerOP_Who                 = 0x000B
	ServerOP_ZonePlayer          = 0x000C
	ServerOP_KickPlayer          = 0x000D
	ServerOP_RefreshGuild        = 0x000E
	ServerOP_GuildKickAll        = 0x000F
	ServerOP_GuildInvite         = 0x0010
	ServerOP_GuildRemove         = 0x0011
	ServerOP_GuildPromote        = 0x0012
	ServerOP_GuildDemote         = 0x0013
	ServerOP_GuildLeader         = 0x0014
	ServerOP_GuildGMSet          = 0x0015
	ServerOP_GuildGMSetRank      = 0x0016
	ServerOP_FlagUpdate          = 0x0018
	ServerOP_GMGoto              = 0x0019
	ServerOP_MultiLineMsg        = 0x001A
	ServerOP_Lock                = 0x001B
	ServerOP_Motd                = 0x001C
	ServerOP_Uptime              = 0x001D
	ServerOP_Petition            = 0x001E
	ServerOP_KillPlayer          = 0x001F
	ServerOP_UpdateGM            = 0x0020
	ServerOP_RezzPlayer          = 0x0021
	ServerOP_ZoneReboot          = 0x0022
	ServerOP_ZoneToZoneRequest   = 0x0023
	ServerOP_AcceptWorldEntrance = 0x0024
	ServerOP_ZAAuth              = 0x0025
	ServerOP_ZAAuthFailed        = 0x0026
	ServerOP_ZoneIncClient       = 0x0027
	ServerOP_ClientListKA        = 0x0028
	ServerOP_ChangeWID           = 0x0029
	ServerOP_IPLookup            = 0x002A
	ServerOP_LockZone            = 0x002B
	ServerOP_ItemStatus          = 0x002C
	ServerOP_OOCMute             = 0x002D
	ServerOP_Revoke              = 0x002E
	ServerOP_GuildJoin           = 0x002F
	ServerOP_GroupIDReq          = 0x0030
	ServerOP_GroupIDReply        = 0x0031
	ServerOP_GroupLeave          = 0x0032
	ServerOP_RezzPlayerAccept    = 0x0033
	ServerOP_SpawnCondition      = 0x0034
	ServerOP_SpawnEvent          = 0x0035

	// Login server operations
	ServerOP_LSInfo            = 0x1000
	ServerOP_LSStatus          = 0x1001
	ServerOP_LSClientAuth      = 0x1002
	ServerOP_LSFatalError      = 0x1003
	ServerOP_SystemwideMessage = 0x1005
	ServerOP_ListWorlds        = 0x1006
	ServerOP_PeerConnect       = 0x1007

	// Packet management
	ServerOP_EncapPacket             = 0x2007
	ServerOP_WorldListUpdate         = 0x2008
	ServerOP_WorldListRemove         = 0x2009
	ServerOP_TriggerWorldListRefresh = 0x200A
	ServerOP_SetWorldTime            = 0x200B
	ServerOP_GetWorldTime            = 0x200C
	ServerOP_SyncWorldTime           = 0x200E
	ServerOP_CharTimeStamp           = 0x200F
	ServerOP_NameFilterCheck         = 0x2011
	ServerOP_BasicCharUpdate         = 0x2012
	ServerOP_CharacterCreate         = 0x2013
	ServerOP_NameCharUpdate          = 0x2014
	ServerOP_GetLatestTables         = 0x2015
	ServerOP_GetTableQuery           = 0x2016
	ServerOP_GetTableData            = 0x2017
	ServerOP_RaceUpdate              = 0x2018
	ServerOP_ZoneUpdate              = 0x2019
	ServerOP_BugReport               = 0x201A
	ServerOP_ResetDatabase           = 0x201B
	ServerOP_ZoneUpdates             = 0x201C
	ServerOP_LoginEquipment          = 0x201D
	ServerOP_CharacterPicture        = 0x201E

	// Zone management
	ServerOP_LSZoneInfo         = 0x3001
	ServerOP_LSZoneStart        = 0x3002
	ServerOP_LSZoneBoot         = 0x3003
	ServerOP_LSZoneShutdown     = 0x3004
	ServerOP_LSZoneSleep        = 0x3005
	ServerOP_LSPlayerLeftWorld  = 0x3006
	ServerOP_LSPlayerJoinWorld  = 0x3007
	ServerOP_LSPlayerZoneChange = 0x3008

	// Update operations
	UpdateServerOP_Verified   = 0x5090
	UpdateServerOP_DisplayMsg = 0x5091
	UpdateServerOP_Completed  = 0x5092

	// Special operations
	ServerOP_UsertoWorldReq  = 0xAB00
	ServerOP_UsertoWorldResp = 0xAB01
	ServerOP_WhoAll          = 0x0210
)
